Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cpw.mods.fml.client
Class TextureFXManager

    java.lang.Object
      cpw.mods.fml.client.TextureFXManager

    public class TextureFXManager

extends Object

Constructor Summary
`TextureFXManager()`

Method Summary
`void` | `addAnimation(TextureFX anim)`
`void` | `addNewTextureOverride(String textureToOverride, String overridingTexturePath, int location)`
`int` | `getEffectTexture(TextureFX effect)`
`Dimension` | `getTextureDimensions(int id)`
`Dimension` | `getTextureDimensions(TextureFX effect)`
`static TextureFXManager` | `instance()`
`BufferedImage` | `loadImageFromTexturePack(RenderEngine renderEngine, String path)`
`void` | `loadTextures(ITexturePack texturePack)`
`void` | `onEarlyTexturePackLoad(ITexturePack fallback)`
`void` | `onPreRegisterEffect(TextureFX effect)`
`void` | `onTexturePackChange(RenderEngine engine, ITexturePack texturepack, List<TextureFX> effects)`
`boolean` | `onUpdateTextureEffect(TextureFX effect)`
`void` | `pruneOldTextureFX(ITexturePack var1, List<TextureFX> effects)`
`void` | `registerTextureOverrides(RenderEngine renderer)`
`void` | `scaleTextureFXData(byte[] data, ByteBuffer buf, int target, int length)`
`void` | `setTextureDimensions(int id, int width, int height, List<TextureFX> effects)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextureFXManager

    public TextureFXManager()

Method Detail

### onUpdateTextureEffect

    public boolean onUpdateTextureEffect(TextureFX effect)

### scaleTextureFXData

    public void scaleTextureFXData(byte[] data,
                                   ByteBuffer buf,
                                   int target,
                                   int length)

### onPreRegisterEffect

    public void onPreRegisterEffect(TextureFX effect)

### getEffectTexture

    public int getEffectTexture(TextureFX effect)

### onTexturePackChange

    public void onTexturePackChange(RenderEngine engine,
                                    ITexturePack texturepack,
                                    List<TextureFX> effects)

### setTextureDimensions

    public void setTextureDimensions(int id,
                                     int width,
                                     int height,
                                     List<TextureFX> effects)

### getTextureDimensions

    public Dimension getTextureDimensions(TextureFX effect)

### getTextureDimensions

    public Dimension getTextureDimensions(int id)

### addAnimation

    public void addAnimation(TextureFX anim)

### loadTextures

    public void loadTextures(ITexturePack texturePack)

### registerTextureOverrides

    public void registerTextureOverrides(RenderEngine renderer)

### onEarlyTexturePackLoad

    public void onEarlyTexturePackLoad(ITexturePack fallback)

### pruneOldTextureFX

    public void pruneOldTextureFX(ITexturePack var1,
                                  List<TextureFX> effects)

### addNewTextureOverride

    public void addNewTextureOverride(String textureToOverride,
                                      String overridingTexturePath,
                                      int location)

### loadImageFromTexturePack

    public BufferedImage loadImageFromTexturePack(RenderEngine renderEngine,
                                                  String path)
                                           throws IOException

  Throws:
    `IOException`

### instance

    public static TextureFXManager instance()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD